net.minecraftforge.event.entity.living

## Class ZombieEvent.SummonAidEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.ZombieEvent
      - - net.minecraftforge.event.entity.living.ZombieEvent.SummonAidEvent

- Enclosing class:
    ZombieEvent

      public static class ZombieEvent.SummonAidEvent
      extends ZombieEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.ZombieEvent

      `ZombieEvent.SummonAidEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EntityLivingBase` | `attacker`
    `EntityZombie` | `customSummonedAid` Populate this field to have a custom zombie instead of a normal zombie summoned
    `double` | `summonChance`
    `World` | `world`
    `int` | `x`
    `int` | `y`
    `int` | `z`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZombieEvent.SummonAidEvent(EntityZombie entity, World world, int x, int y, int z, EntityLivingBase attacker, double summonChance)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.entity.living.ZombieEvent

      `getSummoner`

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### customSummonedAid

          public EntityZombie customSummonedAid

      Populate this field to have a custom zombie instead of a normal zombie summoned

    - #### world

          public final World world

    - #### x

          public final int x

    - #### y

          public final int y

    - #### z

          public final int z

    - #### attacker

          public final EntityLivingBase attacker

    - #### summonChance

          public final double summonChance

  - ### Constructor Detail

    - #### ZombieEvent.SummonAidEvent

          public ZombieEvent.SummonAidEvent(EntityZombie entity,
                                    World world,
                                    int x,
                                    int y,
                                    int z,
                                    EntityLivingBase attacker,
                                    double summonChance)